org.springframework.data.relational.core.mapping

## Class RelationalMappingContext

- java.lang.Object
- - org.springframework.data.mapping.context.AbstractMappingContext<RelationalPersistentEntity<?>,RelationalPersistentProperty>
  - - org.springframework.data.relational.core.mapping.RelationalMappingContext

All Implemented Interfaces:
  Aware, InitializingBean, ApplicationContextAware, ApplicationEventPublisherAware, MappingContext<RelationalPersistentEntity<?>,RelationalPersistentProperty>

    public class RelationalMappingContext
    extends AbstractMappingContext<RelationalPersistentEntity<?>,RelationalPersistentProperty>

`MappingContext` implementation for JDBC.

Author:
  Jens Schauder, Greg Turnquist, Kazuki Shimizu, Oliver Gierke, Mark Paluch

### Constructor Summary

Constructors
Constructor and Description
`RelationalMappingContext()` Creates a new `RelationalMappingContext`.
`RelationalMappingContext(NamingStrategy namingStrategy)` Creates a new `RelationalMappingContext` using the given `NamingStrategy`.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected <T> RelationalPersistentEntity<T>` `createPersistentEntity(TypeInformation<T> typeInformation)`
`protected RelationalPersistentProperty` `createPersistentProperty(Property property, RelationalPersistentEntity<?> owner, SimpleTypeHolder simpleTypeHolder)`
`NamingStrategy` `getNamingStrategy()`
`boolean` `isForceQuote()` Return whether quoting should be enabled for all table and column names.
`void` `setForceQuote(boolean forceQuote)` Enable/disable quoting for all tables and column names.

### Methods inherited from class org.springframework.data.mapping.context.AbstractMappingContext

`addPersistentEntity, addPersistentEntity, afterPropertiesSet, doFindPersistentPropertyPaths, findPersistentPropertyPaths, getManagedTypes, getPersistentEntities, getPersistentEntity, getPersistentEntity, getPersistentEntity, getPersistentPropertyPath, getPersistentPropertyPath, hasPersistentEntityFor, initialize, setApplicationContext, setApplicationEventPublisher, setInitialEntitySet, setSimpleTypeHolder, setStrict, shouldCreatePersistentEntityFor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.data.mapping.context.MappingContext

`getRequiredPersistentEntity, getRequiredPersistentEntity, getRequiredPersistentEntity`

### Constructor Detail

#### RelationalMappingContext

    public RelationalMappingContext()

Creates a new `RelationalMappingContext`.

#### RelationalMappingContext

    public RelationalMappingContext(NamingStrategy namingStrategy)

Creates a new `RelationalMappingContext` using the given `NamingStrategy`.

Parameters:
  `namingStrategy` - must not be null.

### Method Detail

#### isForceQuote

    public boolean isForceQuote()

Return whether quoting should be enabled for all table and column names. Quoting is enabled by default.

Returns:
Since:
  2.0

#### setForceQuote

    public void setForceQuote(boolean forceQuote)

Enable/disable quoting for all tables and column names.

Parameters:
  `forceQuote` -

#### createPersistentEntity

    protected <T> RelationalPersistentEntity<T> createPersistentEntity(TypeInformation<T> typeInformation)

Specified by:
  `createPersistentEntity` in class `AbstractMappingContext<RelationalPersistentEntity<?>,RelationalPersistentProperty>`

#### createPersistentProperty

    protected RelationalPersistentProperty createPersistentProperty(Property property,
                                                                    RelationalPersistentEntity<?> owner,
                                                                    SimpleTypeHolder simpleTypeHolder)

Specified by:
  `createPersistentProperty` in class `AbstractMappingContext<RelationalPersistentEntity<?>,RelationalPersistentProperty>`

#### getNamingStrategy

    public NamingStrategy getNamingStrategy()